Scans
List recent scans
Returns the organization's recent scans, newest first. Free.
GET
/v1/scans/Authorization
accessKey x-access-key<token>
In: header
Query Parameters
limit?integer
Default
20Range
1 <= value <= 100offset?integer
Default
0Range
0 <= valueResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/scans/"{
"success": true,
"data": {
"total": 0,
"scans": [
{
"id": "string",
"brandId": null,
"brand": "string",
"domain": null,
"status": "string",
"progress": {
"total": 0,
"completed": 0,
"failed": 0,
"pending": 0
},
"done": true,
"prompts": [
"string"
],
"engines": [
"string"
],
"results": [
{
"prompt": "string",
"engine": "string",
"status": "string",
"mentioned": null,
"position": null,
"competitors_found": [
"string"
],
"sentiment": null,
"sources_count": 0,
"error": null
}
],
"createdAt": "string",
"completedAt": null
}
]
}
}{
"success": false,
"message": "string"
}{
"success": false,
"message": "string"
}